Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450088 - [enh] IPv6 support
Summary: [enh] IPv6 support
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 453265 551963 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-05 09:26 UTC by Bill C. Riemers
Modified: 2010-12-05 07:10 UTC (History)
10 users (show)

Fixed In Version: NetworkManager-0.8.0-0.2.git20100129.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 07:10:22 UTC


Attachments (Terms of Use)

Description Bill C. Riemers 2008-06-05 09:26:54 UTC
Description of problem:

There are no configuration settings for IPV6 in NetworkManager.   Since many
enterprise environments use both IPV6 and IPV4 or only IPV6, this seems like a
huge show stopper.  Especially when NetworkManager is enabled by default and
"network" is disabled by default.

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bill C. Riemers 2008-06-05 09:30:15 UTC
See related bug #439103.

Comment 2 Dan Williams 2008-07-03 01:57:08 UTC
We're adding in IPv6 support over the next month or so.

Comment 3 Adam Goode 2009-01-06 17:35:23 UTC
Do you know if this will support tun6to4 as well? That's one thing I really miss with NetworkManager (using 192.88.99.1).

Comment 4 Dan Williams 2009-02-14 20:37:44 UTC
Moving target since IPv6 is on the list for Fedora 11.

Comment 5 Dan Williams 2009-02-14 20:37:55 UTC
*** Bug 453265 has been marked as a duplicate of this bug. ***

Comment 6 Bug Zapper 2009-06-09 09:36:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Felix Schwarz 2009-12-31 15:17:27 UTC
actually I think this bug can be closed because NetworkManager in Fedora 12 provides ipv6 support.

Comment 8 Dan Williams 2010-01-04 23:23:19 UTC
NM doesn't support DHCPv6 yet so lets leave this open for a bit

Comment 9 Dan Williams 2010-01-04 23:23:44 UTC
*** Bug 551963 has been marked as a duplicate of this bug. ***

Comment 10 Dan Williams 2010-02-09 01:31:33 UTC
Builds in rawhide currently support DHCPv6.  See also bug 429710.

Comment 11 Bug Zapper 2010-11-04 11:53:21 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-12-05 07:10:22 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.